/***
*  LLIBITOO.CH
*  Tools for Light Lib Images definitions
*
*  Copyright (c) 1992-1993, D.F.L.
*  All rights reserved.
*/


//                       ------------- Browse image pseudo object -------------

                             // Is image display stable ?
#XTRANSLATE :lIsStable      => \[01\]
                          // Current offset in the image file to be display
#XTRANSLATE :nCurrentX      => \[02\]
#XTRANSLATE :nCurrentY      => \[03\]
                          // Current scale factors
#XTRANSLATE :nScaleX        => \[04\]
#XTRANSLATE :nScaleY        => \[05\]
                          // Image Ptr to original image to be browsed
#XTRANSLATE :aOriPtr        => \[06\]
#XTRANSLATE :aDisPtr        => \[07\]
                          // Browse area coordinates and size
#XTRANSLATE :nWinDispX1     => \[08\]
#XTRANSLATE :nWinDispY1     => \[09\]
#XTRANSLATE :nWinDispX2     => \[10\]
#XTRANSLATE :nWinDispY2     => \[11\]
#XTRANSLATE :nWinDispWidth  => \[12\]
#XTRANSLATE :nWinDispHeight => \[13\]
                          // File name to be browsed in this browse
#XTRANSLATE :aImgAvail      => \[14\]
#XTRANSLATE :nImgInUse      => \[15\]
                          // Key applier for browsing
#XTRANSLATE :bApplyKey      => \[16\]
                          // Udf array to follow short and long imges operations
#XTRANSLATE :aUdfShort      => \[17\]
#XTRANSLATE :aUdfLong       => \[18\]

#DEFINE BROWSE_IMG_SIZE 18


//                       ------------- Area selection definitions -------------

#DEFINE AREA_SELECTED   1 
#DEFINE AREA_X1         2 
#DEFINE AREA_Y1         3 
#DEFINE AREA_X2         4 
#DEFINE AREA_Y2         5 

